package m9zApi

import (
	"time"
)

func (m *M9zFaultHistory) TableName() string {
	return `m9z_fault_history`
}

type M9zFaultHistory struct {
	ID            int64     `json:"id" xorm:"pk autoincr"`
	CommUid       string    `json:"comm_uid"`
	LoopIdx       uint      `json:"loop_idx"`
	Voltage       float32   `json:"voltage"`
	FaultMsg      string    `json:"fault_msg"`
	FaultCode     string    `json:"fault_code"`
	FaultTime     time.Time `json:"fault_time" xorm:"created"`
	OperateStatus uint      `json:"operate_status" xorm:"default 0 comment('0未处理,1已处理')"`
}
